<?php
$anz=15;
$size=30;
$space=25;
$min=-50;
$max=50;
$fx=10+$space;
$fy=22+$space;
$fs=11;
$arr=[];

# Build Array
for ($x=0;$x<$anz;$x++) {
  for ($y=0;$y<$anz;$y++) {
    $arr[$x][$y]=rand($min,$max);
  }
}
for ($x=0;$x<$anz-1;$x++) {
  for ($y=0;$y<$anz-1;$y++) {
    if ( $arr[$x][$y] ==  $arr[$x+1][$y] || $arr[$x][$y] ==  $arr[$x][$y+1] || $arr[$x][$y] ==  $arr[$x+1][$y+1] ) {
      $arr[$x][$y]=rand($min,$max);
    } 
  }
}
for ($x=1;$x<$anz;$x++) {
  for ($y=1;$y<$anz;$y++) {
    if ( $arr[$x][$y] ==  $arr[$x-1][$y] || $arr[$x][$y] ==  $arr[$x][$y-1] || $arr[$x][$y] ==  $arr[$x-1][$y-1] ) {
      $arr[$x][$y]=rand($min,$max);
    } 
  }
}

# Print SVG Header
echo '<?xml version="1.0" encoding="UTF-8"?>';
?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="500px" height="500px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"
viewBox="0 0 500 500"
 xmlns:xlink="http://www.w3.org/1999/xlink">
 <defs>
  <font id="FontID0" horiz-adv-x="666" font-variant="normal" style="fill-rule:nonzero" font-style="normal" font-weight="400">
	<font-face
		font-family="Arial">
		<font-face-src>
			<font-face-name name="Arial"/>
		</font-face-src>
	</font-face>
  </font>
  <style type="text/css">
   <![CDATA[
    @font-face { font-family:"Arial";font-variant:normal;font-style:normal;font-weight:normal;src:url("#FontID0") format(svg)}
    .fil99 {fill:black}
    .fil98 {fill:#AAAAAA}
    .fil100 {fill:white}
    .fnt0 {font-weight:normal;font-size:<?php echo $fs?>px;font-family:'Arial'}
   ]]>
  </style>
 </defs>
 <g id="Space">
  <rect id="space1" class="fil98" x="0" y="0" width="475" height="25"/>
  <rect id="space2" class="fil98" x="475" y="0" width="25" height="475"/>
  <rect id="space3" class="fil98" x="25" y="475" width="475" height="25"/>
  <rect id="space4" class="fil98" x="0" y="25" width="25" height="475"/>
 </g>
 <g id="Karos">
<?php
for ($x=0;$x<$anz;$x++) {
  for ($y=0;$y<$anz;$y++) {
    if ( ($x % 2 == 0 && $y % 2 == 1 ) || ($x % 2 == 1 && $y % 2 == 0 ) ) {
      echo '<rect id="rect-'.$x.'-'.$y.'" class="fil99" x="'.($x*$size+$space).'" y="'.($y*$size+$space).'" width="'.$size.'" height="'.$size.'"/>'."\n";
    } else {
      echo '<rect id="rect-'.$x.'-'.$y.'" class="fil100" x="'.($x*$size+$space).'" y="'.($y*$size+$space).'" width="'.$size.'" height="'.$size.'"/>'."\n";
    }
  }
}
?>
 </g>
 <g id="Zahlen">
<?php
for ($x=0;$x<$anz;$x++) {
  for ($y=0;$y<$anz;$y++) {
    if ( ($x % 2 == 0 && $y % 2 == 1 ) || ($x % 2 == 1 && $y % 2 == 0 ) ) {
      echo '<text id="txt-'.$x.'-'.$y.'" class="fil100 fnt0" x="'.($x*$size+$fx).'" y="'.($y*$size+$fy).'">'.$arr[$x][$y].'</text>'."\n";
    } else {
      echo '<text id="txt-'.$x.'-'.$y.'" class="fil99 fnt0" x="'.($x*$size+$fx).'" y="'.($y*$size+$fy).'">'.$arr[$x][$y].'</text>'."\n";
    }
  }
}
?>
 </g>
</svg>
