<?php
$FUNMySqlHost= "localhost";
$FUNMySqlUser= "meyton";
$FUNMySqlPw= "mc4hct";
$FUNDB= "funshoot";

$rad1=140;
$rad2=100;
$xca=array(0,120,380,250);
$yca=array(0,140,140,360);
$pid=903;
$wanz=8;
$anz=10;
$size=50;
$min=-90;
$max=90;
$fx=5;
$fy=5;
$fs=15;
$arr=[];
$do_farben=0;
$do_db=0;
if ( $argc > 1 ) {
  $tid=$argv[1];
  $do_db=1;
  $mysqlconfundb=mysqli_connect($FUNMySqlHost,$FUNMySqlUser,$FUNMySqlPw,$FUNDB);
  $sqlstr = "DELETE FROM transval WHERE tID=$tid";
  $result = mysqli_query($mysqlconfundb,$sqlstr);
}

# Build Array
$nr=1;
for ($i=0;$i<=4;$i++) {
  for ($j=0;$j<$wanz*2;$j++) {
    if ($do_farben==1) {
      $arr[$i][$j]=$nr;
      $nr++;
    } else {
      $arr[$i][$j]=rand($min,$max);
    }
  }
}
for ($i=0;$i<=3;$i++) {
  for ($j=0;$j<$wanz*2-2;$j++) {
    if ($arr[$i][$j] == $arr[$i][$j+1]) { $arr[$i][$j+1]=rand($min,$max); }
    if ($arr[$i][$j] == $arr[$i][$j+2]) { $arr[$i][$j+2]=rand($min,$max); }
  }
}

$i=0;
for ($winkel=0;$winkel <= 2*M_PI+0.01; $winkel=$winkel+M_PI/$wanz) {
  $xcord[$i]=cos($winkel)*$rad1;
  $ycord[$i]=sin($winkel)*$rad1;
  if ( $i < $wanz ) {
    $xcord2[$i]=cos($winkel+(M_PI/$wanz/2))*$rad2;
    $ycord2[$i]=sin($winkel+(M_PI/$wanz/2))*$rad2;
  } else {
    $xcord2[$i]=cos($winkel+(M_PI/$wanz/3))*$rad2;
    $ycord2[$i]=sin($winkel+(M_PI/$wanz/3))*$rad2;
  }
  $i++;
}

if ( $do_db == 1 ) {
  $nr=1;
  for ($cid=0;$cid<=4;$cid++) {
    $col=0;
    for ($i=0;$i<count($xcord)-1;$i++)  {
      $sqlstr = "INSERT INTO transval (pID, tID, pval, tval ) VALUES ($pid, $tid, $nr, ".$arr[$cid][$i].")";
      $result = mysqli_query($mysqlconfundb,$sqlstr);
      $nr++;
    }
  }
}


# Print SVG Header
echo '<?xml version="1.0" encoding="UTF-8"?>';
?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="500px" height="500px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"
viewBox="0 0 500 500"
 xmlns:xlink="http://www.w3.org/1999/xlink">
 <defs>
  <font id="FontID0" horiz-adv-x="666" font-variant="normal" style="fill-rule:nonzero" font-style="normal" font-weight="400">
	<font-face
		font-family="Arial">
		<font-face-src>
			<font-face-name name="Arial"/>
		</font-face-src>
	</font-face>
  </font>
  <style type="text/css">
   <![CDATA[
    @font-face { font-family:"Arial";font-variant:normal;font-style:normal;font-weight:normal;src:url("#FontID0") format(svg)}
    .fil99 {fill:black}
    .fil100 {fill:white}
    .fnt0 {font-weight:normal;font-size:<?php echo $fs?>px;font-family:'Arial'}
   ]]>
  </style>
 </defs>
<?php if ( $do_farben==1 ) {
?>
 <g id="Farben">
 <rect id="f-r-1" fill="#fffffe" x="0" y="0" width="500" height="500" />
<?php
for ($cid=1;$cid<=3;$cid++) {
  $xc=$xca[$cid];
  $yc=$yca[$cid];
  for ($i=0;$i<count($xcord)-1;$i++)  {
      echo '<polygon id="f-'.$cid.'-'.$i.'" fill="#'.dechex(($i*15)%240+16).dechex($xc%240+16).dechex($yc%240+16).'" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
  }
  #echo '<polygon id="f-'.$cid.'-'.$i.'" fill="#'.dechex(($i*15)%240+16).dechex($xc%240+16).dechex($yc%240+16).'" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[0]+$xc).",".($ycord[0]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
  echo '<circle id="f-c-'.$cid.'" fill="#'.dechex(($cid*9)%240+16).'9999" cx="'.$xc.'" cy="'.$yc.'" r="20" stroke="none" />'."\n";
}
  echo '<circle id="f-c-00" fill="#999999" cx="250" cy="210" r="25" stroke="none" />'."\n";
?>
 </g>
<?php
}
?>
 <g id="Karos">
 <rect id="k-r-1" fill="#9f9f9e" x="0" y="0" width="500" height="500" />
<?php
for ($cid=1;$cid<=3;$cid++) {
  $col=0;
  $xc=$xca[$cid];
  $yc=$yca[$cid];
  for ($i=0;$i<count($xcord)-1;$i++)  {
    if ( $col%2==0 ) {
      echo '<polygon id="k-'.$cid.'-'.$i.'" class="fil99" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
    } else {
      echo '<polygon id="k-'.$cid.'-'.$i.'" class="fil100" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
    }
    $col++;
  }
  echo '<circle id="k-c-'.$cid.'" fill="#889999" cx="'.$xc.'" cy="'.$yc.'" r="20" stroke="none" />'."\n";
}
echo '<circle id="k-c-00" fill="#889999" cx="250" cy="210" r="25" stroke="none" />'."\n";
?>
 </g>
 <g id="Zahlen">
<?php
$nr=1;
for ($cid=1;$cid<=3;$cid++) {
  $col=0;
  $xc=$xca[$cid];
  $yc=$yca[$cid];
  for ($i=0;$i<count($xcord)-1;$i++)  {
    if ( $col%2==0 ) {
      echo '<text id="txt-'.$cid.'-'.$i.'" class="fil100 fnt0" x="'.($xcord2[$i]+$xc).'" y="'.($ycord2[$i]+$yc).'">'.$arr[$cid][$i].'</text>'."\n";
      #echo '<text id="txt-'.$cid.'-'.$i.'" class="fil100 fnt0" x="'.($xcord2[$i]+$xc).'" y="'.($ycord2[$i]+$xc).'">'.$arr[$cid][$i].'</text>'."\n";
      #echo '<polygon id="'.$cid.'-'.$i.'" class="fil99" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
    } else {
      echo '<text id="txt-'.$cid.'-'.$i.'" class="fil99 fnt0" x="'.($xcord2[$i]+$xc).'" y="'.($ycord2[$i]+$yc).'">'.$arr[$cid][$i].'</text>'."\n";
      #echo '<text id="txt-'.$cid.'-'.$i.'" class="fil99 fnt0" x="'.($xcord2[$i]+$yc).'" y="'.($ycord2[$i]+$yc).'">'.$arr[$cid][$i].'</text>'."\n";
      #echo '<polygon id="'.$cid.'-'.$i.'" class="fil100" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
    }
    $col++;
    $nr++;
  }
  #$i++;
  #echo '<text id="txt-'.$cid.'-'.$i.'" class="fil99 fnt0" x="'.($xcord2[$i]+$xc).'" y="'.($xcord2[$i]+$xc).'">'.$arr[$cid][$i].'</text>'."\n";
  #echo '<polygon id="'.$cid.'-'.$i.'" class="fil100" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[0]+$xc).",".($ycord[0]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
  echo '<text id="txt-'.$cid.'-'.$i.'" class="fil99 fnt0" x="'.($xc-$fx).'" y="'.($yc+$fy).'">'.$arr[4][$cid].'</text>'."\n";
  #echo '<circle id="c-'.$cid.'" fill="#889999" cx="'.$xc.'" cy="'.$yc.'" r="20" stroke="none" />'."\n";
}
  echo '<text id="txt-00" class="fil99 fnt0" x="'.(250-$fx).'" y="'.(210+$fy).'">'.$arr[4][4].'</text>'."\n";
  #echo '<circle id="c-00" fill="#889999" cx="250" cy="210" r="25" stroke="none" />'."\n";
?>
 </g>
</svg>
