<?php
require('config.inc.php');
require('functions.inc.php');

$logfile="/var/log/lighttpd/dart.log";
$loop=0;
$maxloops=300;
// Handling data in JSON format on the server-side using PHP
// select * from Treffer where Zeitstempel > "2019-01-25 19:54:00" order by Zeitstempel desc limit 10
header("Content-Type: application/json");
// build a PHP variable from JSON sent using POST method
$jin = json_decode(file_get_contents("php://input"));
file_put_contents($logfile,json_encode($jin),FILE_APPEND);

function get_dartwert($x,$y) {
  global $PICSIZE,$PIXELSIZE;
  $myObj=new stdClass();
  $x=($PICSIZE/2)+($x/$PIXELSIZE);
  $y=($PICSIZE/2)-($y/$PIXELSIZE);
  $x=intval($x);
  $y=intval($y);
  $wert = get_centerpoint($x,$y,900,2);
  $myObj->x=$x;
  $myObj->y=$y;
  $myObj->wert=$wert;
  return json_encode($myObj);
}


$Data="";
$mysqlconssmdb2=mysqli_connect("$SSMySqlHost","$SSMySqlUser","$SSMySqlPw","$SSMDB2");
// Check connection
if (mysqli_connect_errno())
{
echo "Failed to connect to MySQL(SSMBD2): " . mysqli_connect_error();
}
$myObj=new stdClass();
if ($jin->action == "get_last_time") {
  $std_quer="StandNr=" . $jin->stand1;
  if ( $jin->stand2 <> "no" and $jin->stand2 <> "") { $std_quer= $std_quer . " or StandNr=" . $jin->stand2; }
  if ( $jin->stand3 <> "no" and $jin->stand3 <> "") { $std_quer= $std_quer . " or StandNr=" . $jin->stand3; }
  if ( $jin->stand4 <> "no" and $jin->stand4 <> "") { $std_quer= $std_quer . " or StandNr=" . $jin->stand4; }
  $sqlstr="select Zeitstempel from Scheiben where " . $std_quer . " order by Zeitstempel desc limit 1";
  $result = mysqli_query($mysqlconssmdb2,$sqlstr);
  if ( $result->num_rows > 0 ) {
    while($row = mysqli_fetch_array($result)) {
      $myObj->status="0";
      $myObj->zeitstempel=$row['Zeitstempel'];
      $myObj->debug=$sqlstr;
    }
  } else {
    $myObj->status=1;
    $myObj->input=$jin;
    $myObj->debug=$sqlstr;
  }
  echo json_encode($myObj);

} elseif ( $jin->action == "get_next_shoot") {
  
  // select Scheiben.StandNr, Scheiben.ScheibenID, Treffer.Treffer, Treffer.x, Treffer.y, Treffer.Zeitstempel from Treffer inner Join Scheiben on Scheiben.ScheibenID = Treffer.ScheibenID where StandNr=1  and Treffer.Zeitstempel > "2019-01-25-19:35:00" order by Treffer.Zeitstempel desc limit 1 
  $sqlstr="select Scheiben.StandNr, Scheiben.ScheibenID, Treffer.Treffer, Treffer.x, Treffer.y, Treffer.Zeitstempel from Treffer inner Join Scheiben on Scheiben.ScheibenID = Treffer.ScheibenID where StandNr=" . $jin->stand . " and Treffer.Zeitstempel > '" . $jin->zeitstempel . "' order by Zeitstempel desc limit 1";
  $result = mysqli_query($mysqlconssmdb2,$sqlstr);
  while ( $result->num_rows == 0 ) {
    sleep(1);
    $result = mysqli_query($mysqlconssmdb2,$sqlstr);
    $loop++;
    if ($loop > $maxloops or $loop > $jin->timeout) { break;}
  }
  if ( $result->num_rows > 0 ) {
    while($row = mysqli_fetch_array($result)) {
      $myObj->status="0";
      $myObj->stand= $row['StandNr'];
      $myObj->x = $row['x'];
      $myObj->y = $row['y'];
      $myObj->scheibenid=$row['ScheibenID'];
      $myObj->zeitstempel=$row['Zeitstempel'];
      $myObj->debug=$sqlstr;
      $myObj->schuss=$Data;
      $myObj->loops=$loop;
      //$myObj->erg=get_dartwert($row['x'],$row['y']);
      $dartObj=json_decode(get_dartwert($row['x'],$row['y']));
      $myObj->dartx=$dartObj->x;
      $myObj->darty=$dartObj->y;
      $myObj->dartval=$dartObj->wert;
      //$myJson= json_encode($myObj,JSON_PRETTY_PRINT);
      $myJson= json_encode($myObj);
      echo $myJson;
    }
  } else {
    $myObj->status=1;
    $myObj->loops=$loop;
    $myObj->debug=$sqlstr;
    echo json_encode($myObj);
  }
} else {
  $myObj->status=2;
  $myObj->debug="No valid Action found [get_last_time|get_next_shoot]";
  echo json_encode($myObj);
}

// encode the PHP variable to JSON and send it back on client-side
?>
