<?php
require('class.table.php');
require('config.inc.php');
require('functions.inc.php');

$sqlstr="SELECT Nachname, Vorname, Disziplin, Zeitstempel, ScheibenID from Scheiben ";
$sqldis="";
$sqldate="";
$pid=1;
$format="HTML";
$wertung="sum";
// Check if form is submitted successfully 
if(isset($_POST["submit"]))  
{ 
  if(isset($_POST["BILD"])) {
    $pid=$_POST["BILD"];  
  }
  if(isset($_POST["WERTUNG"])) {
    $wertung=$_POST["WERTUNG"];  
  }
  if(isset($_POST["FORMAT"])) {
    $format=$_POST["FORMAT"];  
  }
  // Check if any option is selected 
  if(isset($_POST["Disziplinen"]))  
  { 
    // Retrieving each selected option 
    foreach ($_POST["Disziplinen"] as $Disziplinen)  
    {
        //echo "You selected Disziplin $Disziplinen<br/>"; 
      if ($sqldis == "") 
      { 
        $sqldis = "Disziplin=\"".$Disziplinen."\" "; 
      } else {
        $sqldis .= " OR Disziplin=\"".$Disziplinen."\" ";
      }
    }
  } 
  if(isset($_POST["Datum"]))  
  { 
      // Retrieving each selected option 
      foreach ($_POST["Datum"] as $Datum)  
    {
          //echo "You selected Datum $Datum<br/>"; 
      if ($sqldate == "") 
      { 
        $sqldate = "(Zeitstempel>=\"".$Datum." 00:00:00\" AND Zeitstempel<=\"".$Datum." 23:59:59\") "; 
      } else {
        $sqldate .= " OR (Zeitstempel>=\"".$Datum." 00:00:00\" AND Zeitstempel<=\"".$Datum." 23:59:59\") ";
      }
    }
  } 
  $sqlstr .= " WHERE Nachname <> 'unknown' ";
  if ($sqldis == "" and $sqldate == "") {
    $sqlstr .= " ORDER by Zeitstempel desc limit 200";
  } else {
    $sqlstr .= " AND ";
    if ($sqldis <> "" and $sqldate <> "") {
      $sqlstr .= "( " . $sqldis. ") AND (" . $sqldate . ")";
    } elseif ($sqldis <> "") {
      $sqlstr .= $sqldis;
    } elseif ($sqldate <> "") {
      $sqlstr .= $sqldate;
    }  
    $sqlstr .= " ORDER by Zeitstempel desc limit 200";
  }
  //echo "SQL: ".$sqlstr . "<br>\n";;
} else {
  echo "Select an option first !!"; 
} 

$mysqlcon=mysqli_connect("$SSMySqlHost","$SSMySqlUser","$SSMySqlPw","$SSMDB2");
// Check connection
if (mysqli_connect_errno())
{
echo "Failed to connect to SSMDB2: " . mysqli_connect_error();
}
$table_attr = array("class"=>"result");
$table = new Table($table_attr);
$headings = array("Name", "Disziplin", "ScheibenID", "Zeitstempel", "Einzel", "Gesamt");
$csv="Name;Disziplin;ScheibenID;Zeitstempel;Einzel;Gesamt\n";
$table->headings($headings);
$result = mysqli_query($mysqlcon,$sqlstr);
while($row = mysqli_fetch_array($result))
{
  $Data=get_points_scheibenid($row['ScheibenID'],$pid,$wertung,1);
  $tmp=explode(" = ",$Data);
  $Einzel=$tmp[0];
  $Sum=$tmp[1];
  $table->addRow(array($row['Nachname'] . " " . $row['Vorname'], $row['Disziplin'], $row['ScheibenID'], $row['Zeitstempel'],$Einzel,$Sum ));
  $csv.=$row['Nachname'] . " " . $row['Vorname'] .";" . $row['Disziplin'] . ";" . $row['ScheibenID'] . ";" . $row['Zeitstempel'] . ";" .$Einzel . ";" . $Sum . "\n";
}

if ($format=="CSV") {
  header("Pragma: public");
  header("Expires: 0");
  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
  header("Cache-Control: private",false);
  //header("Content-Type: application/octet-stream");
  header("Content-Type: application/csv;charset=utf8");
  header("Content-Disposition: attachment; filename=\"funshoot.csv\";" );
  header("Content-Transfer-Encoding: binary");
  
  //OUTPUT CSV CONTENT
  // Punkte durch Komma ersetzen.
  $csv=str_replace(".",",",$csv);
  $csv=iconv("UTF-8","WINDOWS-1252",$csv);
  echo($csv);
} else {
  echo "<HTML> <HEAD>\n";
  echo $meta;
  echo $css;
  echo "</HEAD> <BODY>\n";
  echo "<h1>Auswertung FunShoot</h1>\n";
  echo "<p align=center> Bild Nr: " . $pid . "</p>";
  echo $table->render();
  echo "SQL: ".$sqlstr . "<br>\n";;
  echo "<b>\n";
  echo "<a href='auswertung.php'> Zurück zur Anfrage</a>\n";
  echo "</body>\n";
  echo "</html>\n";
} 
?> 

