#!/bin/bash
# Pakete nachinstallieren
zypper install -y php7 php7-mysql php7-fastcgi php7-fpm

#echo "cgi.fix_pathinfo=1" >> /etc/php7/fastcgi/php.ini
sed -i 's/#cgi.fix_pathinfo=1/cgi.fix_pathinfo=1/' /etc/php7/fastcgi/php.ini

cd /etc/php7/fpm
mv php-fpm.conf.default php-fpm.conf
cd /etc/php7/fpm/php-fpm.d 
mv www.conf.default www.conf
sed -i 's/#include "conf.d\/fastcgi.conf"/include "conf.d\/fastcgi.conf"/' /etc/lighttpd/modules.conf
sed -i '22,49s/^#//' /etc/lighttpd/conf.d/fastcgi.conf

if [ ! -f /srv/www/cgi-bin/php5 ]; then
  ln -s /usr/bin/php-cgi /srv/www/cgi-bin/php5
fi

systemctl restart lighttpd
systemctl restart php-fpm

mkdir /srv/www/htdocs/lana/fun
cd /srv/www/htdocs/lana/fun
tar xzvf /tmp/funshoot.tgz

cd /srv/www/htdocs/lana/fun/
if [ -f "funshoot.sql" ] ; then
  echo "create database funshoot" | mysql -u root -pmc4hct
  mysql -u root -pmc4hct funshoot < funshoot.sql
  echo "grant ALL PRIVILEGES ON funshoot.* to 'meyton'@'localhost' identified by 'mc4hct'" | mysql -u root -pmc4hct
  echo "flush privileges" | mysql -u root -pmc4hct funshoot
fi
